<?php
session_start();
if (!isset($_SESSION['num1']) && !isset($_SESSION['num2'])) {
$_SESSION['num1'] = rand(1,5);
$_SESSION['num2'] = rand(1,5);
}
?>
<!DOCTYPE html><html><head><meta charset="UTF-8">
<title>How To HTML Form With PHP JS Captcha Validation - The Ultimate Guide | Demo | { visibility: inherit; }</title>
<style type="text/css">
/* --- form css --- */
form {
width:400px;
}
input, textarea, label {
display:inline-block;
margin:10px 5px;
width:150px;
vertical-align:middle;
padding:4px;
}
input, textarea {
border:1px solid #666;
box-shadow:0 0 4px #666;
border-radius:5px;
}
label {
text-align:right;
}
#submit {
margin-left:177px;
width:160px;
background:#ddd;
cursor:pointer;
}
/* --- error css --- */
input.error, textarea.error {
border:1px solid red;
box-shadow:0 0 4px red;
}
label.error {
display:none !important;
}
input.error, textarea.error {
-moz-animation:glow ease-in infinite alternate 500ms;
-webkit-animation:glow ease-in infinite alternate 500ms;
-ms-animation:glow ease-in infinite alternate 500ms;
animation:glow ease-in infinite alternate 500ms;
}
@-moz-keyframes glow {0%{box-shadow:0 0 4px red;}100%{box-shadow:0 0 9px red;}}
@-webkit-keyframes glow {0%{box-shadow:0 0 4px red;}100%{box-shadow:0 0 9px red;}}
@-ms-keyframes glow {0%{box-shadow:0 0 4px red;}100%{box-shadow:0 0 9px red;}}
@keyframes glow {0%{box-shadow:0 0 4px red;}100%{box-shadow:0 0 9px red;}}
</style>
</head>
<body>
<h1>How To Build an HTML Form With PHP/JS/Captcha Validation - The Ultimate Guide!</h1>
<p>Turn JS off to test the PHP (server side) action.</p>
<p><a href="how-to-html-form-with-php-js-captcha-validation.php">&laquo; Back To Tutorial</a></p>

<form method="post" action="how-to-html-form-with-php-js-captcha-validation-formmail.php">
	<label for="name">Name</label>
	<input type="text" id="name" name="name" placeholder="Name">
	<br>
	<label for="email">Email</label>
	<input type="text" maxlength="50" id="email" name="email" placeholder="Email">
	<br>
	<label for="comments">Comments</label>
	<textarea id="comments" name="comments" rows="1" cols="1" placeholder="Comments"></textarea>
	<br>
	<label for="captcha"><?php echo $_SESSION['num1']; ?>+ <?php echo $_SESSION['num2']; ?>?</label>
	<input type="text" id="captcha" name="captcha" placeholder="Captcha">
	<br>
	<input type="submit" name="submit" value="Submit" id="submit">
</form>

<script src="jquery/jQuery1.8.3.js"></script>
<script src="jquery/jQuery.validation.1.10.0.js"></script>
<script type="text/javascript">
$(document).ready(function() {
  $.validator.addMethod("nourl", function(value, element) {
    return !/http\:\/\/|www\.|link\=|url\=/.test(value);
  }, "No URL's");

  $("form").validate({
    rules: {
      name: {
        required: true
      },
      email: {
        required: true,
        email: true
      },
      comments: {
        required: true,
        minlength: 4,
        nourl: true
      },
      captcha: {
        required: true,
        remote: {
          url: "how-to-html-form-with-php-js-captcha-validation-captcha.php",
          type: "post"
        }
      }
    },
    messages: {
		name: "",
		email: "",
		comments: "",
		captcha: ""
		}
  });
});
</script>
</body></html>